收藏
回答

小米MIX手机蓝牙API不可使用

问题模块
API和组件

我看了别人的手机可以,就是我的mix手机有问题,上次是好的,我没有更新微信的东西。

最后一次编辑于  2017-05-20  (未经腾讯允许,不得转载)
回答关注问题邀请回答
收藏

5 个回答

  • 李泉
    李泉
    2017-05-24
    if (wx.openBluetoothAdapter) {
      wx.openBluetoothAdapter()
    } else {  // 如果希望用户在最新版本的客户端上体验您的小程序,可以这样子提示
      wx.showModal({
        title: '提示',
        content: '当前微信版本过低,无法使用该功能,请升级到最新微信版本后重试。'
      })
    }

    是这一句,直接进入下面的逻辑了

    当前微信版本过低,无法使用该功能,请升级到最新微信版本后重试

    我需要重新装一下微信?

    2017-05-24
    赞同
    回复
  • 纪栋凯🐱 🐶 猫猫狗狗
    纪栋凯🐱 🐶 猫猫狗狗
    2017-05-22

    可以先检查状态然后再调用openBluetoothAdapter的方法

    2017-05-22
    赞同
    回复
  • 李泉
    李泉
    2017-05-20

    直接wx.openBluetoothAdapter  不存在此对象了

    2017-05-20
    赞同
    回复
  • 纪栋凯🐱 🐶 猫猫狗狗
    纪栋凯🐱 🐶 猫猫狗狗
    2017-05-20

    我这边用Mix测试过了,可以正常使用

    2017-05-20
    赞同
    回复
  • 杨工
    杨工
    2017-05-20

    我的小程序也是,以前测试可以,苹果的没问题

    2017-05-20
    赞同
    回复